Debian Bug report logs - #435250
/dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>

Date: Mon, 30 Jul 2007 12:30:01 UTC

Severity: normal

Tags: moreinfo

Merged with 435186, 435276, 435283, 435359, 435377

Found in version udev/0.113-2

Fixed in version udev/0.113-3

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
To: submit@bugs.debian.org
Subject: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 14:27:58 +0200
Package: udev
Version: 0.113-2

/dev ist mountet with option noexec. This breaks programs doing

fd = open("/dev/zero", O_RDWR);
mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, fd, 0);

libGL.so.100.14.11 from nvidia-glx does this and therefore nvidias 
xorg-binary-driver will not work any more.

Fix: remove mount option noxec in

/etc/init.d/udev
/etc/init.d/udev-mtab


Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts
Leiter EDV
Leopoldstraße 15
80802 München



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 435250@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>, 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 14:43:44 +0200
On Mon, Jul 30, 2007 at 02:27:58PM +0200, Wolfgang Walter wrote:
> Package: udev
> Version: 0.113-2
> 
> /dev ist mountet with option noexec. This breaks programs doing
> 
> fd = open("/dev/zero", O_RDWR);
> mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, fd, 0);
> 
> libGL.so.100.14.11 from nvidia-glx does this and therefore nvidias 
> xorg-binary-driver will not work any more.
> 

how comes you don't notify nvidia for their b0rked 
closed source driver?!

regards

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 435250@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: maximilian attems <max@stro.at>, 435250@bugs.debian.org
Cc: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 14:54:26 +0200
[Message part 1 (text/plain, inline)]
On Jul 30, maximilian attems <max@stro.at> wrote:

> > fd = open("/dev/zero", O_RDWR);
> > mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, fd, 0);

> how comes you don't notify nvidia for their b0rked 
> closed source driver?!
Why do you believe that this is broken?
I have not made up my mind yet about it.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #20 received at 435250@bugs.debian.org (full text, mbox):

From: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
To: maximilian attems <max@stro.at>
Cc: 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 15:05:52 +0200
On Monday 30 July 2007, maximilian attems wrote:
> On Mon, Jul 30, 2007 at 02:27:58PM +0200, Wolfgang Walter wrote:
> > Package: udev
> > Version: 0.113-2
> > 
> > /dev ist mountet with option noexec. This breaks programs doing
> > 
> > fd = open("/dev/zero", O_RDWR);
> > mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, fd, 0);
> > 
> > libGL.so.100.14.11 from nvidia-glx does this and therefore nvidias 
> > xorg-binary-driver will not work any more.
> > 
> 
> how comes you don't notify nvidia for their b0rked 
> closed source driver?!
> 

Why should I?

First this change in the udev-packet does not break the nvidia kernel module 
itself, it breaks userspace. And its not nvidia-specific.

Second it is totally legal for an application to mmap /dev/zero PROT_EXEC. No 
application doing this will work any more.

Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts
Leiter EDV
Leopoldstraße 15
80802 München



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #25 received at 435250@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Marco d'Itri <md@Linux.IT>
Cc: 435250@bugs.debian.org, Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 15:07:13 +0200
On Mon, Jul 30, 2007 at 02:54:26PM +0200, Marco d'Itri wrote:
> On Jul 30, maximilian attems <max@stro.at> wrote:
> 
> > > fd = open("/dev/zero", O_RDWR);
> > > mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, fd, 0);
> 
> > how comes you don't notify nvidia for their b0rked 
> > closed source driver?!
> Why do you believe that this is broken?
> I have not made up my mind yet about it.

aboves PROT_EXEC flag seems quite superfluous.

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #30 received at 435250@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: maximilian attems <max@stro.at>
Cc: 435250@bugs.debian.org, Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 15:12:12 +0200
[Message part 1 (text/plain, inline)]
On Jul 30, maximilian attems <max@stro.at> wrote:

> aboves PROT_EXEC flag seems quite superfluous.
I don't know, maybe it really allocs some memory and the runs code from
there.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #35 received at 435250@bugs.debian.org (full text, mbox):

From: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
To: maximilian attems <max@stro.at>
Cc: Marco d'Itri <md@linux.it>, 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 15:21:23 +0200
On Monday 30 July 2007, maximilian attems wrote:
> On Mon, Jul 30, 2007 at 02:54:26PM +0200, Marco d'Itri wrote:
> > On Jul 30, maximilian attems <max@stro.at> wrote:
> > 
> > > > fd = open("/dev/zero", O_RDWR);
> > > > mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, fd, 0);
> > 
> > > how comes you don't notify nvidia for their b0rked 
> > > closed source driver?!
> > Why do you believe that this is broken?
> > I have not made up my mind yet about it.
> 
> aboves PROT_EXEC flag seems quite superfluous.
> 

Don't know. /usr/lib/libGL.so.100.14.11 may does not need PROT_EXEC and nvidia 
can change this easily.

But mounting /dev noexec is a change which can break applications in a rather 
subtle way. You can't mmap /dev/zero PROT_EXEC even if you really need to do 
so.

Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts
Leiter EDV
Leopoldstraße 15
80802 München



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #40 received at 435250@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
Cc: Marco d'Itri <md@linux.it>, 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 16:04:35 +0200
On Mon, Jul 30, 2007 at 03:21:23PM +0200, Wolfgang Walter wrote:
> 
> Don't know. /usr/lib/libGL.so.100.14.11 may does not need PROT_EXEC
> and nvidia can change this easily.

again holler nvidia.
 
> But mounting /dev noexec is a change which can break applications in a rather 
> subtle way. You can't mmap /dev/zero PROT_EXEC even if you really need to do 
> so.

please name those applications?

you may want to read the udev changelog and corresponding bug report
why that change was made!?

regards

-- 
maks
 



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #45 received at 435250@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: maximilian attems <max@stro.at>, 435250@bugs.debian.org
Cc: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 18:13:27 +0200
[Message part 1 (text/plain, inline)]
On Jul 30, maximilian attems <max@stro.at> wrote:

> > Don't know. /usr/lib/libGL.so.100.14.11 may does not need PROT_EXEC
> > and nvidia can change this easily.
> again holler nvidia.
This is not helpful. If you do not have better arguments I will revert
this change.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #50 received at 435250@bugs.debian.org (full text, mbox):

From: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
To: maximilian attems <max@stro.at>
Cc: Marco d'Itri <md@linux.it>, 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 18:57:46 +0200
On Monday 30 July 2007, maximilian attems wrote:
> On Mon, Jul 30, 2007 at 03:21:23PM +0200, Wolfgang Walter wrote:
> > 
> > Don't know. /usr/lib/libGL.so.100.14.11 may does not need PROT_EXEC
> > and nvidia can change this easily.
> 
> again holler nvidia.
>  
> > But mounting /dev noexec is a change which can break applications in a 
rather 
> > subtle way. You can't mmap /dev/zero PROT_EXEC even if you really need to 
do 
> > so.
> 
> please name those applications?

The point is: it es well defined that

* the zero-device is found as /dev/zero

* that mmap of the zero deivce has special meaning

* that you may use PROT_EXEC if you want the shared memory to be executable.

Changing this will break existing and future applications which depend on it.

And yes, there are others application which break. See i.e. example 
lguest-launcher.

Documentation/lguest /lguest.c

from current kernel-tree.


> 
> you may want to read the udev changelog and corresponding bug report
> why that change was made!?
> 

Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts
Leiter EDV
Leopoldstraße 15
80802 München



Forcibly Merged 435250 435276. Request was from Sven Joachim <sven_joachim@web.de> to control@bugs.debian.org. (Mon, 30 Jul 2007 18:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to "Zack Weinberg" <zackw@panix.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #57 received at 435250@bugs.debian.org (full text, mbox):

From: "Zack Weinberg" <zackw@panix.com>
To: 435250@bugs.debian.org
Date: Mon, 30 Jul 2007 11:48:12 -0700
Yes, user applications should be allowed to mmap() from /dev/zero with
PROT_EXEC.  (There should be *no* visible difference between using
/dev/zero and using MAP_ANON(YMOUS).)

However, it also seems to me that it is appropriate for udev to mount
its tmpfs with noexec set -- there's no legitimate reason to put an
actual executable in there.  I'd rather see this fixed in the kernel;
have it ignore the filesystem mount options when mapping from device
files.  (There may be legitimate use cases for PROT_EXEC maps from
other device files, not just /dev/zero.)

zw



Forcibly Merged 435186 435250 435276 435283. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2007 19:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #64 received at 435250@bugs.debian.org (full text, mbox):

From: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
To: 435250@bugs.debian.org
Cc: zack.weinberg@gmail.com, maximilian attems <max@stro.at>
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Tue, 31 Jul 2007 00:28:20 +0200
> Yes, user applications should be allowed to mmap() from /dev/zero with
> PROT_EXEC.  (There should be *no* visible difference between using
> /dev/zero and using MAP_ANON(YMOUS).)

> However, it also seems to me that it is appropriate for udev to mount
> its tmpfs with noexec set -- there's no legitimate reason to put an
> actual executable in there.  I'd rather see this fixed in the kernel;
> have it ignore the filesystem mount options when mapping from device
> files.  (There may be legitimate use cases for PROT_EXEC maps from
> other device files, not just /dev/zero.)

I don't think this is the right thing to do, and I really doubt the kernel 
will be changed. Ignoring the noexec option for device files is not only a 
visible change for userspace but it is a rather dangerous one.

Either this change to udev should be reverted (or an "debian hardening 
option"). Or there is another filesystem where such devices are created and 
with symlinks in /dev.

But I think reverting it es the better solution as it brings back semantics 
which were always valid not only in debian but in all other dristribution I 
know as well.

I can't see any significant security win by the way. Udev creates the entries 
and controls ownership and permissons. If udev creates entries with wrong 
permissions the execution bit is not the thing I worry most.

Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts
Leiter EDV
Leopoldstraße 15
80802 München



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to "Zack Weinberg" <zack.weinberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #69 received at 435250@bugs.debian.org (full text, mbox):

From: "Zack Weinberg" <zack.weinberg@gmail.com>
To: "Wolfgang Walter" <wolfgang.walter@studentenwerk.mhn.de>
Cc: 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Mon, 30 Jul 2007 15:50:16 -0700
On 7/30/07, Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de> wrote:
> I don't think this is the right thing to do, and I really doubt the kernel
> will be changed. Ignoring the noexec option for device files is not only a
> visible change for userspace but it is a rather dangerous one.

Could you expand on that, please?  I admit I haven't done much work on
programs that have anything to do with device files, but neither half
of your assertion is obvious to me.

zw



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #74 received at 435250@bugs.debian.org (full text, mbox):

From: Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>
To: "Zack Weinberg" <zack.weinberg@gmail.com>
Cc: 435250@bugs.debian.org
Subject: Re: Bug#435250: /dev mounted with option noexec: breaks nvidia-glx and applications mmapping /dev/zero with PROT_EXEC
Date: Tue, 31 Jul 2007 02:30:47 +0200
On Tuesday 31 July 2007, Zack Weinberg wrote:
> On 7/30/07, Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de> wrote:
> > I don't think this is the right thing to do, and I really doubt the kernel
> > will be changed. Ignoring the noexec option for device files is not only a
> > visible change for userspace but it is a rather dangerous one.
> 
> Could you expand on that, please?  I admit I haven't done much work on
> programs that have anything to do with device files, but neither half
> of your assertion is obvious to me.
> 

Today the kernel honors the noexec mount option for device files. And of 
course userspace can depend on that restriction. And sometimes this may be 
important. If you mounted a filesystem noexec because you did not want device 
files to be mapped PROT_EXEC now they suddenly were (maybe in a carefully 
arranged environment).

Regards,
-- 
Wolfgang Walter
Studentenwerk München
Anstalt des öffentlichen Rechts
Leiter EDV
Leopoldstraße 15
80802 München



Forcibly Merged 435186 435250 435276 435283 435359. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 31 Jul 2007 10:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Bjoern Laessig <b.laessig@tu-bs.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #81 received at 435250@bugs.debian.org (full text, mbox):

From: Bjoern Laessig <b.laessig@tu-bs.de>
To: 435250@bugs.debian.org
Subject: mplayer is affected by noexec mount option
Date: Tue, 31 Jul 2007 15:50:56 +0200
mplayer crashs too with the new udev noexec mount option:

---------- strace mplayer --------------
open("/dev/zero", O_RDWR)               = 3
mmap2(NULL, 8192, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE, 3, 0) = -1 EPERM (Operation not permitted)
close(3)                                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
----------------------------------------

I changed all noexec to exec in the init.d script.
Solved my problem but it is not a solution.

Bjoern Laessig



Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wolfgang Walter <wolfgang.walter@studentenwerk.mhn.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #86 received at 435250-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 435250-close@bugs.debian.org
Subject: Bug#435250: fixed in udev 0.113-3
Date: Tue, 31 Jul 2007 14:32:11 +0000
Source: udev
Source-Version: 0.113-3

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

libvolume-id-dev_0.113-3_i386.deb
  to pool/main/u/udev/libvolume-id-dev_0.113-3_i386.deb
libvolume-id0_0.113-3_i386.deb
  to pool/main/u/udev/libvolume-id0_0.113-3_i386.deb
udev-udeb_0.113-3_i386.udeb
  to pool/main/u/udev/udev-udeb_0.113-3_i386.udeb
udev_0.113-3.diff.gz
  to pool/main/u/udev/udev_0.113-3.diff.gz
udev_0.113-3.dsc
  to pool/main/u/udev/udev_0.113-3.dsc
udev_0.113-3_i386.deb
  to pool/main/u/udev/udev_0.113-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435250@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 31 Jul 2007 16:00:48 +0200
Source: udev
Binary: libvolume-id-dev udev libvolume-id0 udev-udeb
Architecture: source i386
Version: 0.113-3
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 libvolume-id-dev - libvolume_id development headers
 libvolume-id0 - libvolume_id shared library
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 435250
Changes: 
 udev (0.113-3) unstable; urgency=medium
 .
   * Stop mounting /dev noexec because it breaks nvidia-glx, vmware,
     mplayer and lguest, for a start. (Closes: #435250)
Files: 
 b7e818caa28f605257e036d5f55f9ac0 635 admin important udev_0.113-3.dsc
 b5ef4acd8cbfb2ec8b62fc321da7fb04 69781 admin important udev_0.113-3.diff.gz
 f24d70822666543d5f8f31c23c1bb0f6 276802 admin important udev_0.113-3_i386.deb
 174d95fd52ffaa2903099e6a6aaf9d8c 68284 libs important libvolume-id0_0.113-3_i386.deb
 09da1ef94e28bf8126c9801dbe8bf4a7 2290 libdevel optional libvolume-id-dev_0.113-3_i386.deb
 9c3f31e56f085a40c9e6a02ef48a899c 116638 debian-installer important udev-udeb_0.113-3_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGr0SBFGfw2OHuP7ERAt6SAJ0bl85SHNJxwuUKEUh/7a1XXKcvvwCfYrNx
I9IFZAi1tT0QFGuD7GWdVUg=
=7PrR
-----END PGP SIGNATURE-----




Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ron <iampure@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bellegarde Cédric <Cedric.Bellegarde@ac-nantes.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Mauro Sacchetto" <mauro.sacchetto@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bjarne Pohlers <pohlers@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Forcibly Merged 435186 435250 435276 435283 435359 435377. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Tue, 31 Jul 2007 19:57:07 GMT) Full text and rfc822 format available.

Forcibly Merged 435186 435250 435276 435283 435359 435377. Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Wed, 01 Aug 2007 07:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to "Zack Weinberg" <zackw@panix.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #115 received at 435250@bugs.debian.org (full text, mbox):

From: "Zack Weinberg" <zackw@panix.com>
To: 435250@bugs.debian.org
Subject: Re: #435280: black screen after X starts (Radeon Xpress 200M)
Date: Fri, 10 Aug 2007 14:35:28 -0700
2.6.23-rc2 has this bug too.

I would really appreciate some attention paid to this bug.  It makes
kernels >=2.6.22 unusable for me.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to "Zack Weinberg" <zackw@panix.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #120 received at 435250@bugs.debian.org (full text, mbox):

From: "Zack Weinberg" <zackw@panix.com>
To: 435250@bugs.debian.org
Date: Fri, 10 Aug 2007 16:09:35 -0700
Please ignore my previous message, I sent it to the wrong bug.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#435250; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #125 received at 435250@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Zack Weinberg <zackw@panix.com>, 435250@bugs.debian.org
Subject: Re: Bug#435250: #435280: black screen after X starts (Radeon Xpress 200M)
Date: Sat, 11 Aug 2007 01:09:41 +0200
[Message part 1 (text/plain, inline)]
On Aug 10, Zack Weinberg <zackw@panix.com> wrote:

> 2.6.23-rc2 has this bug too.
> 
> I would really appreciate some attention paid to this bug.  It makes
> kernels >=2.6.22 unusable for me.
I fixed it two weeks ago. Watch:

md@bongo:~$ grep noexec /etc/init.d/udev*
md@bongo:~$

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Sep 2007 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:36:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.